/*
 * @(#)LayoutCommand.java 5.1
 *
 */
package de.renew.gui;

import CH.ifa.draw.util.Command;
import de.renew.draw.ui.api.EditorApi;

/**
 * Create an automatic layout window for controlling the automatic layout algorithm.
 */
public class AutomaticLayoutCommand extends Command {
    /**
     * Construct an automatic layout window command
     * @param name the command name
     */
    public AutomaticLayoutCommand(String name) {
        super(name);
    }

    @Override
    public void execute() {
        AutomaticLayoutFrame frame = new AutomaticLayoutFrame(EditorApi.getCurrentEditor());
        frame.showFrame();
    }
}